<!--
  Generated template for the NotificationActionsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->

<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Notifications</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="grey-background">
  <div *ngIf="notifications != 0">
    <ion-list inset *ngFor="let n of notifications; let i = index" class="rides">
      
      <!-- Requested -->
      <ion-card *ngIf="n.status == 'Requested'">
        <ion-card-content>

          <h1 class="text-center pad-10">Rider Request</h1>
          <p *ngIf="n.isOpenRide" class="text-center pad-10"> <strong> Open Ride </strong>  </p> 
          <p class="text-center"><strong>{{n.city_from}}</strong> to <strong>{{n.city_to}}</strong></p>
          
          <div class="add-lines" style="margin: 15px 0 15px 0; padding: 15px 0 15px 0;">
            <ion-row>
              <ion-col col-4>
                <ion-avatar item-start class="alt-avatar-2">
                  <img *ngIf="n.user_image.startsWith('/')" [src]="url+n.user_image">
                  <img *ngIf="n.user_image.startsWith('h')" [src]="n.user_image">
                </ion-avatar>
              </ion-col>
              <ion-col col-8>
                <h3><strong>{{n.user.first_name}} {{n.user.last_name}}</strong></h3>

                <ionic3-star-rating 
                    activeIcon = "ios-star"
                    defaultIcon = "ios-star-outline"
                    activeColor = "#ffcc00" 
                    defaultColor = "#ffcc00"
                    fontSize = "8px"
                    readonly="true"
                    [rating]="n.user.rating">
                </ionic3-star-rating> 
                <button ion-button small text-center color="primary" 
                  (click)="showPublicProfile(n.user)" outline>View Profile
                </button>

              </ion-col>
            </ion-row>
            <div *ngIf="n.isOpenRide">
              <p class="text-center"> <strong> Suggested Hour: </strong> {{n.hour }} </p> 
              <p class="text-center"> <strong> Suggested Date: </strong> {{n.date | date: 'shortDate'}}</p>
            </div>
            <p class="text-center"><strong>Seats requested:</strong> {{n.seats}} <br /><br />
            {{n.description}}</p>
          </div>
          
          <div class="text-center pad-10">
            <button *ngIf="!n.isOpenRide" ion-button outline (click)="ApproveUser(n.rides_id, n.user_id, i, n.id)">Approve</button>
            <button *ngIf="n.isOpenRide" ion-button outline 
            (click)="ApproveUserOpenRide(n.open_ride_id,n.user_id, i, n.id)">Approve</button> 
            <button *ngIf="!n.isOpenRide" ion-button color="danger" outline (click)="DenyUser(n.rides_id, n.user_id, i)">Deny</button>
            <button *ngIf="n.isOpenRide" ion-button color="danger" outline (click)="DenyUserOpenRide(n.open_ride_id, n.user_id, i)">Deny</button>
          </div>
        </ion-card-content>
      </ion-card>

      <!-- Pay for trip -->
      <ion-card *ngIf="n.status == 'Approved' && n.booker_payment_paid == 'No' && n.isReview == false">
          <ion-card-content>
            <h1 class="text-center pad-10">Trip Approved</h1>
            <p>The driver for the trip from {{n.city_from}} to {{n.city_to}} has approved your seat request!
            <p><strong>Seats:</strong> {{n.seats}}</p>
            <p><strong>Date:</strong> {{n.date | date: 'dd MMM yyyy' }}</p>
            <p><strong>Total Cost:</strong> ${{n.ride_cost}} + 1.50 Service Charge</p>
            <ion-row class="text-center pad-all-10">
              <ion-col col-6>
                <button (click)="contactDriver(n.ride.user_id, n.rides_id)" ion-button outline> Message</button> 
              </ion-col>
              <ion-col col-6>
                <button ion-button (click)="payDriver(n.rides_id, n.ride_cost, n.seats)" ion-button>Pay Now</button>
              </ion-col>
            </ion-row>
          </ion-card-content>
      </ion-card>

      <!-- Review Driver -->
      <ion-card *ngIf="n.isReview == true">
          <ion-card-content>
            <h1 class="text-center pad-10">Trip Finished</h1>
            <p>Please review your ride with {{n.driver.first_name}}.</p>
            <p>From: <strong> {{n.city_from}} </strong> </p> 
            <p>To: <strong> {{n.city_to}} </strong> </p> 
            <p>Date: <strong> {{ n.date | date: 'dd MMM yyyy'}} </strong> </p> 
            <div class="text-center pad-all-10">
              <button ion-button (click)="reviewDriver(n.id, n.driver.avatar, n.driver.first_name)" class="btn rounded">Review Driver</button>
            </div>
          </ion-card-content>
      </ion-card>
    </ion-list>
  </div>

  <div *ngIf="notifications == 0">
      <div class="text-center pad-all-10">
        You have no new notifications. 
      </div>
  </div>

</ion-content>
